ServerEvents.recipes(event => {
  event.shaped('ae2:mysterious_cube', [
    'XYZ',
    'KAK',
    'ZYX'
  ], {
    X: 'xycraft_world:xychorium_gem_blue',
    Y: 'psi:psimetal',
    Z: 'minecraft:redstone_block',
    K: 'ae2:silicon',
    A: 'ae2:sky_stone_block'
  }).id('kubejs:ae2/mysterious_cube_from_crystals');
});